#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    fstream fi,fo;
    fi.open("tsnt.inp",ios::in);
    fo.open("tsnt.out",ios::out);
    long int n;
    int tong=0,i=2;
    fi>>n;
    fo<<n<<"=";
    while (i<=n)
    {
        if(n%i==0)
       {n=n/i;
        tong=tong+i;
        if(n==1)
        {fo<<i;}
        else
        fo<<i<<"*";
        }
        else
        {i++;}
    }
    fo<<endl<<tong;
    return 0;
}
